import java.util.HashMap;

public class Projekat{
    
    private String sifra;
    protected double cena;
    protected double margina;
    private HashMap<String, Pozicija> pozicije;//kljuc je sifra pozicije
    
    public Projekat(String sifra, double margina){
        this.sifra=sifra;
        cena = 0;
        this.margina = margina;
        pozicije=new HashMap<>();
    }
  
    public String toString(){
        String txt = "PROJEKAT: sifra: " + sifra + ", cena: " + cena + ", margina: " + margina;
        for(Pozicija p : pozicije.values()){
            txt = txt + "\n" + p;
        }
        return txt;
    }
    
    public String dajSifru(){
        return sifra;
    }
    
    public void odrediCenu(){
        cena=0;
    }   
    // Tacka 1.
    public void dodajPoziciju(Pozicija p){
        pozicije.put(p.dajSifru(), p);
    }
    // Tacka 9.
    public void ukupnaCena(){
        for(Pozicija p : pozicije.values()){
            p.odrediCenu();
            cena += p.dajCenu();
        }
    }
    // Tacka 12.
    public HashMap<String, Pozicija> pozicije() {return pozicije;}
}